Webhooks
Create Webhook
Register an outbound webhook for a team or project.
Register an outbound webhook for a team or project.
Authorization
bearerAuth AuthorizationBearer <token>
Access token or API key (unb_...) passed as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
events*array<|>
project_id?string
required if type is project
Format
uuidteam_id*string
Format
uuidtype*WebhookType
Value in
- "team"
- "project"
url*string
Format
uriResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/webhooks/create" \ -H "Content-Type: application/json" \ -d '{ "events": [ "project.created" ], "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba", "type": "team", "url": "http://example.com" }'{ "data": { "created_at": "2019-08-24T14:15:22Z", "events": [ "project.created" ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba", "type": "team", "url": "string" }}